## net.sourceforge.pmd
Interface IRuleViolation

All Known Implementing Classes:
  RuleViolation

public interface IRuleViolation

Method Summary
`int` `getBeginColumn()`
`int` `getBeginLine()`
`java.lang.String` `getClassName()`
`java.lang.String` `getDescription()`
`int` `getEndColumn()`
`int` `getEndLine()`
`java.lang.String` `getFilename()`
`java.lang.String` `getMethodName()`
`java.lang.String` `getPackageName()`
`Rule` `getRule()`
`java.lang.String` `getVariableName()`
`boolean` `isSuppressed()`

Method Detail

### getFilename

    public java.lang.String getFilename()

### getBeginLine

    public int getBeginLine()

### getBeginColumn

    public int getBeginColumn()

### getEndLine

    public int getEndLine()

### getEndColumn

    public int getEndColumn()

### getRule

    public Rule getRule()

### getDescription

    public java.lang.String getDescription()

### getPackageName

    public java.lang.String getPackageName()

### getMethodName

    public java.lang.String getMethodName()

### getClassName

    public java.lang.String getClassName()

### isSuppressed

    public boolean isSuppressed()

### getVariableName

    public java.lang.String getVariableName()

Copyright © 2002-2006 InfoEther. All Rights Reserved.